// GeniE V7.6-05 64bit started 18-Apr-2018 12:58:07
GenieRules.Tolerances.useTolerantModelling = true;
GenieRules.Tolerances.angleTolerance = 2 deg;
GenieRules.Compatibility.version = "V7.6-05";
GenieRules.Meshing.autoSimplifyTopology = true;
GenieRules.Meshing.eliminateInternalEdges = true;
GenieRules.BeamCreation.DefaultCurveOffset = ReparameterizedBeamCurveOffset();
//
// Cross section library
// Units kg, Newton, Metres
//
Bar100 = BarSection(0.1,0.03);
//
//
ISEC100 = ISection(0.1,0.1,0.015,0.02);
I200 = ISection(0.2,0.2,0.015,0.02);
I400 = ISection(0.4,0.4,0.015,0.02);
I600 = ISection(0.6,0.6,0.015,0.02);
I800 = ISection(0.8,0.8,0.015,0.02);
I1000 = ISection(1.0,1.0,0.015,0.02);
I1200 = ISection(1.2,1.2,0.015,0.02);
I1400 = ISection(1.4,1.4,0.015,0.02);
//
Pipe200 = PipeSection(0.2,0.02);
Pipe400 = PipeSection(0.4,0.02);
Pipe600 = PipeSection(0.6,0.02);
Pipe800 = PipeSection(0.8,0.02);
Pipe1000 = PipeSection(1.0,0.02);
Pipe1200 = PipeSection(1.2,0.02);
//
// Material library
// Units kg, Newton, Metres
//
St37 = Material(215E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
St44 = Material(255E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
St52 = Material(335E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
//
S235 = Material(215E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
S275 = Material(255E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
S355 = Material(355E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
//
S275N_NL = Material(235E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
S355N_NL = Material(335E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
S420N_NL = Material(390E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
S460N_NL = Material(430E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
//
Th01 = Thickness( 0.01 );
Th02 = Thickness( 0.02 ); 
Th03 = Thickness( 0.03 ); 
Th04 = Thickness( 0.04 ); 
Th05 = Thickness( 0.05 );
//
GlobXz = LocalSystem( Vector3d(1,0,0), Vector3d(1,0,1));
//
X_vect = Vector3d(1,0,0);
Y_vect = Vector3d(0,1,0);
Z_vect = Vector3d(0,0,1);
//
I200.setdefault();
Th04.setdefault(); 
St52.setdefault();
// GeniE V7.6-05 64bit ended 18-Apr-2018 13:52:30
// GeniE V7.6-05 64bit started 18-Apr-2018 13:53:02
Pipe1000.setDefault();
GuidePlane1 = GuidePlane(Point(0 m,0 m,0 m),Point(80 m,0 m,0 m),Point(80 m,10 m,0 m),Point(0 m,10 m,0 m),5,3,10,1,1,1,1,1,1,1);
GuidePlane1.snapmode = true;
GuidePlane1.corners(Point(0 m,0 m,0 m),Point(80 m,0 m,0 m),Point(80 m,10 m,0 m),Point(0 m,10 m,0 m));
GuidePlane1.spacings(3,2,70,6,4,3,7);
GuidePlane1.corners(Point(0 m,0 m,0 m),Point(80 m,0 m,0 m),Point(80 m,10 m,0 m),Point(0 m,10 m,0 m));
GuidePlane1.spacings(3,2,0.875,0.075,0.05,0.7,0.7);
GuidePlane1.corners(Point(0 m,0 m,0 m),Point(80 m,0 m,0 m),Point(80 m,10 m,0 m),Point(0 m,10 m,0 m));
GuidePlane1.spacings(3,2,0.875,0.075,0.05,0.7,0.3);
// GeniE V7.6-05 64bit ended 18-Apr-2018 15:03:47
// GeniE V7.6-05 64bit started 18-Apr-2018 16:35:47
// GeniE V7.6-05 64bit started 18-Apr-2018 12:58:07
GenieRules.Tolerances.useTolerantModelling = true;
GenieRules.Tolerances.angleTolerance = 2 deg;
GenieRules.Compatibility.version = "V7.6-05";
GenieRules.Meshing.autoSimplifyTopology = true;
GenieRules.Meshing.eliminateInternalEdges = true;
GenieRules.BeamCreation.DefaultCurveOffset = ReparameterizedBeamCurveOffset();
//
// Cross section library
// Units kg, Newton, Metres
//
Bar100 = BarSection(0.1,0.03);
//
//
ISEC100 = ISection(0.1,0.1,0.015,0.02);
I200 = ISection(0.2,0.2,0.015,0.02);
I400 = ISection(0.4,0.4,0.015,0.02);
I600 = ISection(0.6,0.6,0.015,0.02);
I800 = ISection(0.8,0.8,0.015,0.02);
I1000 = ISection(1.0,1.0,0.015,0.02);
I1200 = ISection(1.2,1.2,0.015,0.02);
I1400 = ISection(1.4,1.4,0.015,0.02);
//
Pipe200 = PipeSection(0.2,0.02);
Pipe400 = PipeSection(0.4,0.02);
Pipe600 = PipeSection(0.6,0.02);
Pipe800 = PipeSection(0.8,0.02);
Pipe1000 = PipeSection(1.0,0.02);
Pipe1200 = PipeSection(1.2,0.02);
//
// Material library
// Units kg, Newton, Metres
//
St37 = Material(215E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
St44 = Material(255E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
St52 = Material(335E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
//
S235 = Material(215E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
S275 = Material(255E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
S355 = Material(355E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
//
S275N_NL = Material(235E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
S355N_NL = Material(335E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
S420N_NL = Material(390E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
S460N_NL = Material(430E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
//
Th01 = Thickness( 0.01 );
Th02 = Thickness( 0.02 ); 
Th03 = Thickness( 0.03 ); 
Th04 = Thickness( 0.04 ); 
Th05 = Thickness( 0.05 );
//
GlobXz = LocalSystem( Vector3d(1,0,0), Vector3d(1,0,1));
//
X_vect = Vector3d(1,0,0);
Y_vect = Vector3d(0,1,0);
Z_vect = Vector3d(0,0,1);
//
I200.setdefault();
Th04.setdefault(); 
St52.setdefault();
// GeniE V7.6-05 64bit ended 18-Apr-2018 13:52:30
// GeniE V7.6-05 64bit started 18-Apr-2018 13:53:02
Pipe1000.setDefault();
GuidePlane1 = GuidePlane(Point(0 m,0 m,0 m),Point(80 m,0 m,0 m),Point(80 m,10 m,0 m),Point(0 m,10 m,0 m),5,3,10,1,1,1,1,1,1,1);
GuidePlane1.snapmode = true;
GuidePlane1.corners(Point(0 m,0 m,0 m),Point(80 m,0 m,0 m),Point(80 m,10 m,0 m),Point(0 m,10 m,0 m));
GuidePlane1.spacings(3,2,70,6,4,3,7);
GuidePlane1.corners(Point(0 m,0 m,0 m),Point(80 m,0 m,0 m),Point(80 m,10 m,0 m),Point(0 m,10 m,0 m));
GuidePlane1.spacings(3,2,0.875,0.075,0.05,0.7,0.7);
GuidePlane1.corners(Point(0 m,0 m,0 m),Point(80 m,0 m,0 m),Point(80 m,10 m,0 m),Point(0 m,10 m,0 m));
GuidePlane1.spacings(3,2,0.875,0.075,0.05,0.7,0.3);
// GeniE V7.6-05 64bit ended 18-Apr-2018 15:03:47
// GeniE V7.6-05 64bit started 18-Apr-2018 15:48:50
// GeniE V7.6-05 64bit started 18-Apr-2018 12:58:07
GenieRules.Tolerances.useTolerantModelling = true;
GenieRules.Tolerances.angleTolerance = 2 deg;
GenieRules.Compatibility.version = "V7.6-05";
GenieRules.Meshing.autoSimplifyTopology = true;
GenieRules.Meshing.eliminateInternalEdges = true;
GenieRules.BeamCreation.DefaultCurveOffset = ReparameterizedBeamCurveOffset();
//
// Cross section library
// Units kg, Newton, Metres
//
Bar100 = BarSection(0.1,0.03);
//
//
ISEC100 = ISection(0.1,0.1,0.015,0.02);
I200 = ISection(0.2,0.2,0.015,0.02);
I400 = ISection(0.4,0.4,0.015,0.02);
I600 = ISection(0.6,0.6,0.015,0.02);
I800 = ISection(0.8,0.8,0.015,0.02);
I1000 = ISection(1.0,1.0,0.015,0.02);
I1200 = ISection(1.2,1.2,0.015,0.02);
I1400 = ISection(1.4,1.4,0.015,0.02);
//
Pipe200 = PipeSection(0.2,0.02);
Pipe400 = PipeSection(0.4,0.02);
Pipe600 = PipeSection(0.6,0.02);
Pipe800 = PipeSection(0.8,0.02);
Pipe1000 = PipeSection(1.0,0.02);
Pipe1200 = PipeSection(1.2,0.02);
//
// Material library
// Units kg, Newton, Metres
//
St37 = Material(215E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
St44 = Material(255E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
St52 = Material(335E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
//
S235 = Material(215E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
S275 = Material(255E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
S355 = Material(355E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
//
S275N_NL = Material(235E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
S355N_NL = Material(335E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
S420N_NL = Material(390E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
S460N_NL = Material(430E6, 7.85E3, 2.1E11, 0.3, 1.2E-5, 0.03);
//
Th01 = Thickness( 0.01 );
Th02 = Thickness( 0.02 ); 
Th03 = Thickness( 0.03 ); 
Th04 = Thickness( 0.04 ); 
Th05 = Thickness( 0.05 );
//
GlobXz = LocalSystem( Vector3d(1,0,0), Vector3d(1,0,1));
//
X_vect = Vector3d(1,0,0);
Y_vect = Vector3d(0,1,0);
Z_vect = Vector3d(0,0,1);
//
I200.setdefault();
Th04.setdefault(); 
St52.setdefault();
// GeniE V7.6-05 64bit ended 18-Apr-2018 13:52:30
// GeniE V7.6-05 64bit started 18-Apr-2018 13:53:02
Pipe1000.setDefault();
GuidePlane1 = GuidePlane(Point(0 m,0 m,0 m),Point(80 m,0 m,0 m),Point(80 m,10 m,0 m),Point(0 m,10 m,0 m),5,3,10,1,1,1,1,1,1,1);
GuidePlane1.snapmode = true;
GuidePlane1.corners(Point(0 m,0 m,0 m),Point(80 m,0 m,0 m),Point(80 m,10 m,0 m),Point(0 m,10 m,0 m));
GuidePlane1.spacings(3,2,70,6,4,3,7);
GuidePlane1.corners(Point(0 m,0 m,0 m),Point(80 m,0 m,0 m),Point(80 m,10 m,0 m),Point(0 m,10 m,0 m));
GuidePlane1.spacings(3,2,0.875,0.075,0.05,0.7,0.7);
GuidePlane1.corners(Point(0 m,0 m,0 m),Point(80 m,0 m,0 m),Point(80 m,10 m,0 m),Point(0 m,10 m,0 m));
GuidePlane1.spacings(3,2,0.875,0.075,0.05,0.7,0.3);
// GeniE V7.6-05 64bit ended 18-Apr-2018 15:03:47
// GeniE V7.6-05 64bit started 18-Apr-2018 15:04:04

// Tarjej sin modell:
Bm1 = StraightBeam(Point(0 m,10 m,0 m), Point(0 m,0 m,0 m));
Bm2 = StraightBeam(Point(0 m,0 m,0 m), Point(70 m,0 m,0 m));
Bm3 = StraightBeam(Point(70 m,0 m,0 m), Point(70 m,10 m,0 m));
Bm4 = StraightBeam(Point(70 m,10 m,0 m), Point(76 m,10 m,0 m));
Bm5 = StraightBeam(Point(76 m,10 m,0 m), Point(76 m,0 m,0 m));
Bm6 = StraightBeam(Point(76 m,0 m,0 m), Point(80 m,0 m,0 m));
Point1 = Point(0 m,0 m,0 m);
Point2 = Point1.copyTranslate(Vector3d(3 m,0 m,0 m));
Point3 = Point1.copyTranslate(Vector3d(0 m,3 m,0 m));
Curve1 = CreateLineTwoPoints(Point(3 m,0 m,0 m), Point(0 m,0 m,0 m));
Curve2 = CreateLineTwoPoints(Point(0 m,0 m,0 m), Point(0 m,3 m,0 m));
Curve3 = CreateCircularFilletBetweenLinearSegments(Curve1, Point(2.152870839 m,0 m,0 m), Curve2, Point(0 m,2.448003711 m,0 m), 3 m);
/////////////
Bm7 = Beam(Curve3);
Bm2.moveEnd(1, Vector3d(3 m,0 m,0 m));
Bm1.moveEnd(2, Vector3d(0 m,3 m,0 m));
Point4 = Point(70 m,0 m,0 m);
Point5 = Point(76 m,0 m,0 m);
Point6 = Point4.copyTranslate(Vector3d(0 m,3 m,0 m));
Point7 = Point4.copyTranslate(Vector3d(-3 m,0 m,0 m));
Curve4 = CreateLineTwoPoints(Point(67 m,0 m,0 m), Point(70 m,0 m,0 m));
Curve5 = CreateLineTwoPoints(Point(70 m,0 m,0 m), Point(70 m,3 m,0 m));
Curve6 = CreateCircularFilletBetweenLinearSegments(Curve4, Point(68.29692841 m,0 m,0 m), Curve5, Point(70 m,2.295341015 m,0 m), 3 m);
Bm8 = Beam(Curve6);
Bm2.moveEnd(2, Vector3d(-3 m,0 m,0 m));
Bm3.moveEnd(1, Vector3d(0 m,3 m,0 m));
Point8 = Point5.copyTranslate(Vector3d(3 m,0 m,0 m));
Point9 = Point5.copyTranslate(Vector3d(0 m,3 m,0 m));
Curve7 = CreateLineTwoPoints(Point(76 m,3 m,0 m), Point(76 m,0 m,0 m));
Curve8 = CreateLineTwoPoints(Point(76 m,0 m,0 m), Point(79 m,0 m,0 m));
Curve9 = CreateCircularFilletBetweenLinearSegments(Curve7, Point(76 m,1.718224049 m,0 m), Curve8, Point(78.36632538 m,0 m,0 m), 3 m);
Bm9 = Beam(Curve9);
Bm6.moveEnd(1, Vector3d(3 m,0 m,0 m));
Bm5.moveEnd(2, Vector3d(0 m,3 m,0 m));
Point10 = Point(70 m,10 m,0 m);
Point11 = Point(76 m,10 m,0 m);
Point12 = Point10.copyTranslate(Vector3d(0 m,-3 m,0 m));
Point13 = Point10.copyTranslate(Vector3d(3 m,0 m,0 m));
Point14 = Point11.copyTranslate(Vector3d(0 m,-3 m,0 m));
Curve10 = CreatePolylineFromASetOfPoints(Array(Point(70 m,7 m,0 m),Point(70 m,10 m,0 m),Point(73 m,10 m,0 m),Point(76 m,10 m,0 m),Point(76 m,7 m,0 m)));
Curve11 = CreateCircularFilletBetweenLinearSegments(Curve10, Point(70 m,8.886059761 m,0 m), Curve10, Point(71.92835999 m,10 m,0 m), 3 m);
Curve12 = CreateLineTwoPoints(Point(72.99999991 m,10 m,0 m), Point(76 m,10 m,0 m));
Curve13 = CreateLineTwoPoints(Point(76 m,10 m,0 m), Point(76 m,7 m,0 m));
Delete(Curve13);
Delete(Curve12);
Delete(Curve11);
Point15 = Point13.copyTranslate(Vector3d(0 m,-3 m,0 m));
Curve1 = CreateCircularArcFromThreePoints(Point(70 m,7 m,0 m), Point(73 m,10 m,0 m), Point(76 m,7 m,0 m));
Bm10 = Beam(Curve1);
Bm3.moveEnd(2, Vector3d(0 m,-3 m,0 m));
Delete(Bm4);
Bm5.moveEnd(1, Vector3d(0 m,-3 m,0 m));
Delete(Point15);
Delete(Point11);
Delete(Point10);
Sct16 = PipeSection(1, 0.012);
Bm1.section = Sct16;
Bm2.section = Sct16;
Bm3.section = Sct16;
Bm5.section = Sct16;
Bm6.section = Sct16;
Bm7.section = Sct16;
Bm8.section = Sct16;
Bm9.section = Sct16;
Bm10.section = Sct16;
Sp1 = SupportPoint(Point(0 m,10 m,0 m));
Sp2 = SupportPoint(Point(80 m,0 m,0 m));
LC1 = LoadCase();
Sp2.boundary = BoundaryCondition(Free, Fixed, Fixed, Fixed, Fixed, Fixed);
Sp2.boundary = BoundaryCondition(Fixed, Fixed, Fixed, Fixed, Fixed, Fixed);
Sp2.boundary = BoundaryCondition(Prescribed, Fixed, Fixed, Fixed, Fixed, Fixed);
PDisp1 = PrescribedDisplacement(LC1, Sp2, 1 m, 0 m, 0 m, 0 deg, 0 deg, 0 deg);
Analysis1 = Analysis(true);
Analysis1.add(MeshActivity());
Analysis1.add(LinearAnalysis());
Analysis1.add(LoadResultsActivity());
Analysis1.step(1).usePartialMesher = true;
Analysis1.setActive();
//Analysis1.step(1).step(1).execute();
//Analysis1.step(1).step(2).execute();
SimplifyTopology();
//Analysis1.step(1).step(4).execute();
//Analysis1.step(2).execute();
//Analysis1.step(3).execute();
//Analysis1.step(3).execute();
Mesh = MeshDensity(0.1);
Mesh.setDefault();
SimplifyTopology();
//Analysis1.step(1).step(4).execute();
//Analysis1.step(3).execute();
//Analysis1.step(1).step(1).execute();
//Analysis1.step(1).step(2).execute();
SimplifyTopology();
//Analysis1.step(1).step(4).execute();
//Analysis1.step(2).execute();
//Analysis1.step(3).execute();
//Analysis1.step(2).execute();
//Analysis1.step(3).execute();
LC2 = LoadCase(Analysis1);
PLoad1 = PointLoad(LC2, FootprintPoint(Point(80 m,0 m,0 m)), PointForceMoment(Vector3d(1.002e6 N, 0 N, 0 N), Vector3d(0 N*m, 0 N*m, 0 N*m)));
Sp2.boundary = BoundaryCondition(Free, Fixed, Fixed, Fixed, Fixed, Fixed);
Analysis2 = Analysis(true);
Analysis2.add(MeshActivity());
Analysis2.add(LinearAnalysis());
Analysis2.add(LoadResultsActivity());
Analysis2.step(1).usePartialMesher = true;
Analysis2.setActive();
//Analysis2.step(1).step(1).execute();
//Analysis2.step(1).step(2).execute();
SimplifyTopology();
//Analysis2.step(1).step(4).execute();
//Analysis2.step(2).execute();
//Analysis2.step(3).execute();
LC3 = LoadCase(Analysis2);
Delete(LC3);
Analysis3 = Analysis(false);
Analysis3.add(MeshActivity());
Analysis3.add(LinearAnalysis());
Analysis3.add(LoadResultsActivity());
Analysis3.step(1).usePartialMesher = true;
Analysis3.setActive();
LC4 = LoadCase(Analysis3);
PLoad2 = PointLoad(LC4, FootprintPoint(Point(80 m,0 m,0 m)), PointForceMoment(Vector3d(1.002e6 N, 0 N, 0 N), Vector3d(0 N*m, 0 N*m, 0 N*m)));
//Analysis3.step(1).step(1).execute();
//Analysis3.step(1).step(2).execute();
SimplifyTopology();
//Analysis3.step(1).step(4).execute();
//Analysis3.step(2).execute();
//Analysis3.step(3).execute();
Delete(Analysis2);
Analysis1.setActive();
Delete(LC2);
Analysis3.setActive();
//Analysis3.step(1).step(2).execute();
SimplifyTopology();
//Analysis3.step(1).step(4).execute();
//Analysis3.step(2).execute();
//Analysis3.step(3).execute();
Analysis4 = Analysis(false);
Analysis4.add(MeshActivity());
Analysis4.add(LinearAnalysis());
Analysis4.add(LoadResultsActivity());
Analysis4.step(1).usePartialMesher = true;
Analysis4.setActive();
LC5 = LoadCase(Analysis4);
PLoad3 = PointLoad(LC5, FootprintPoint(Point(80 m,0 m,0 m)), PointForceMoment(Vector3d(1.002e5 N, 0 N, 0 N), Vector3d(0 N*m, 0 N*m, 0 N*m)));
//Analysis4.step(1).step(1).execute();
//Analysis4.step(1).step(2).execute();
SimplifyTopology();
//Analysis4.step(1).step(4).execute();
//Analysis4.step(2).execute();
//Analysis4.step(3).execute();
Sp2.boundary = BoundaryCondition(Prescribed, Fixed, Fixed, Fixed, Fixed, Fixed);
Analysis5 = Analysis(true);
Analysis5.add(MeshActivity());
Analysis5.add(LinearAnalysis());
Analysis5.add(LoadResultsActivity());
Analysis5.step(1).usePartialMesher = true;
Analysis5.setActive();
Analysis6 = Analysis(false);
Analysis6.add(MeshActivity());
Analysis6.add(LinearAnalysis());
Analysis6.add(LoadResultsActivity());
Analysis6.step(1).usePartialMesher = true;
Analysis6.setActive();
Analysis4.setActive();
Analysis6.setActive();
LC6 = LoadCase(Analysis6);
Sp2.boundary = BoundaryCondition(Prescribed, Fixed, Fixed, Fixed, Fixed, Fixed);
PDisp2 = PrescribedDisplacement(LC6, Sp2, 0.5 m, 0 m, 0 m, 0 deg, 0 deg, 0 deg);
//Analysis6.step(1).step(1).execute();
//Analysis6.step(1).step(2).execute();
SimplifyTopology();
//Analysis6.step(1).step(4).execute();
//Analysis6.step(2).execute();
//Analysis6.step(3).execute();
Analysis5.setActive();
Analysis4.setActive();
Delete(LC5);
LC7 = LoadCase(Analysis4);
//Analysis4.step(1).step(2).execute();
SimplifyTopology();
//Analysis4.step(1).step(4).execute();
//Analysis4.step(2).execute();
//Analysis4.step(3).execute();
Sp2.boundary = BoundaryCondition(Free, Fixed, Fixed, Fixed, Fixed, Fixed);
SimplifyTopology();
//Analysis4.step(1).step(4).execute();
//Analysis4.step(2).execute();
//Analysis4.step(3).execute();
Delete(LC7);
LC8 = LoadCase(Analysis4);
PLoad4 = PointLoad(LC8, FootprintPoint(Point(80 m,0 m,0 m)), PointForceMoment(Vector3d(1.0e5 N, 0 N, 0 N), Vector3d(0 N*m, 0 N*m, 0 N*m)));
//Analysis4.step(1).step(2).execute();
SimplifyTopology();
//Analysis4.step(1).step(4).execute();
//Analysis4.step(2).execute();
//Analysis4.step(3).execute();
Sp2.boundary = BoundaryCondition(Prescribed, Fixed, Fixed, Fixed, Fixed, Fixed);
Analysis7 = Analysis(false);
Analysis7.add(MeshActivity());
Analysis7.add(LinearAnalysis());
Analysis7.add(LoadResultsActivity());
Analysis7.step(1).usePartialMesher = true;
Analysis7.setActive();
LC9 = LoadCase(Analysis7);
PDisp3 = PrescribedDisplacement(LC9, Sp2, 0.1 m, 0 m, 0 m, 0 deg, 0 deg, 0 deg);
Analysis8 = Analysis(false);
Analysis8.add(MeshActivity());
Analysis8.add(LinearAnalysis());
Analysis8.add(LoadResultsActivity());
Analysis8.step(1).usePartialMesher = true;
Analysis8.setActive();
LC10 = LoadCase(Analysis8);
PDisp4 = PrescribedDisplacement(LC10, Sp2, -1 m, 0 m, 0 m, 0 deg, 0 deg, 0 deg);
//Analysis8.step(1).step(1).execute();
//Analysis8.step(1).step(2).execute();
SimplifyTopology();
//Analysis8.step(1).step(4).execute();
//Analysis8.step(2).execute();
//Analysis8.step(3).execute();
Sct32 = PipeSection(0.5, 0.006);
Bm1.section = Sct32;
Bm2.section = Sct32;
Bm3.section = Sct32;
Bm5.section = Sct32;
Bm6.section = Sct32;
Bm7.section = Sct32;
Bm8.section = Sct32;
Bm9.section = Sct32;
Bm10.section = Sct32;
Analysis9 = Analysis(true);
Analysis9.add(MeshActivity());
Analysis9.add(LinearAnalysis());
Analysis9.add(LoadResultsActivity());
Analysis9.step(1).usePartialMesher = true;
Analysis9.setActive();
Delete(Analysis9);
Analysis10 = Analysis(false);
Analysis10.add(MeshActivity());
Analysis10.add(LinearAnalysis());
Analysis10.add(LoadResultsActivity());
Analysis10.step(1).usePartialMesher = true;
Analysis10.setActive();
Analysis11 = Analysis(false);
Analysis11.add(MeshActivity());
Analysis11.add(LinearAnalysis());
Analysis11.add(LoadResultsActivity());
Analysis11.step(1).usePartialMesher = true;
Analysis11.setActive();
Analysis10.setActive();
LC11 = LoadCase(Analysis10);
PDisp5 = PrescribedDisplacement(LC11, Sp2, 1 m, 0 m, 0 m, 0 deg, 0 deg, 0 deg);
//Analysis10.step(1).step(1).execute();
//Analysis10.step(1).step(2).execute();
SimplifyTopology();
//Analysis10.step(1).step(4).execute();
//Analysis10.step(2).execute();
//Analysis10.step(3).execute();
// GeniE V7.6-05 64bit ended 30-Apr-2018 08:36:12
// GeniE V7.6-05 64bit started 30-Apr-2018 13:47:56
Analysis1.setActive();
// GeniE V7.6-05 64bit ended 01-May-2018 13:01:30
// GeniE V7.6-05 64bit started 01-May-2018 15:13:33
Sct25 = PipeSection(0.25 m, 0.006 m);
Bm1.section = Sct25;
Bm2.section = Sct25;
Bm3.section = Sct25;
Bm5.section = Sct25;
Bm6.section = Sct25;
Bm7.section = Sct25;
Bm8.section = Sct25;
Bm9.section = Sct25;
Bm10.section = Sct25;
small = Analysis(false);
small.add(MeshActivity());
small.add(LinearAnalysis());
small.add(LoadResultsActivity());
small.step(1).usePartialMesher = true;
small.setActive();
LC2 = LoadCase(small);
PDisp6 = PrescribedDisplacement(LC2, Sp2, 1 m, 0 m, 0 m, 0 deg, 0 deg, 0 deg);
//small.step(1).step(1).execute();
//small.step(1).step(2).execute();
SimplifyTopology();
//small.step(1).step(4).execute();
//small.step(2).execute();
//small.step(3).execute();
Analysis1.setActive();
Delete(Analysis10);
Delete(Analysis11);
Delete(Analysis3);
Delete(Analysis4);
Delete(Analysis5);
Delete(Analysis6);
Delete(Analysis7);
Delete(Analysis8);
medium = Analysis(false);
medium.add(MeshActivity());
medium.add(LinearAnalysis());
medium.add(LoadResultsActivity());
medium.step(1).usePartialMesher = true;
medium.setActive();
Bm1.section = Sct32;
Bm2.section = Sct32;
Bm3.section = Sct32;
Bm5.section = Sct32;
Bm6.section = Sct32;
Bm7.section = Sct32;
Bm8.section = Sct32;
Bm9.section = Sct32;
Bm10.section = Sct32;
LC3 = LoadCase(medium);
PDisp7 = PrescribedDisplacement(LC3, Sp2, 1 m, 0 m, 0 m, 0 deg, 0 deg, 0 deg);
//medium.step(1).step(1).execute();
//medium.step(1).step(2).execute();
SimplifyTopology();
//medium.step(1).step(4).execute();
//medium.step(2).execute();
//medium.step(3).execute();
// GeniE V7.6-05 64bit ended 01-May-2018 15:55:15
